/**********************************************************************
 Freeciv - Copyright (C) 2005 - The Freeciv Team
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
 
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/ 
#ifndef FC__ELEMENT_H
#define FC__ELEMENT_H

#include "gentree.h"
#include "canvas_g.h"

struct element {
  struct gentree_header node;
  char *name;
  int x;
  int y;
  int w;
  int h;
  bool visible;
  bool back;
  struct Sprite *sprite;
  char *text;
};

struct element *element_new(void);
void element_free(struct element *pelement);
void element_draw(struct canvas *pcanvas, struct element *pelement, int x,
		  int y, int w, int h);

struct element *element_demo(int w, int h);

#endif
